apeman-ui-contrib-angular-storaging
======

[![Build Status][my_travis_badge_url]][my_travis_url]
[![Code Climate][my_codeclimate_badge_url]][my_codeclimate_url]
[![Code Coverage][my_coveralls_badge_url]][my_coveralls_url]
[![npm version][my_npm_budge_url]][my_npm_url]

apeman ui module for angular to work with localstorage.


Installation
-------

Install module via [npm][npm_url]

```bash
$ npm install apeman-ui-contrib-angular-storaging --save-dev
```

Usage
-------

1. Define an app at `$ui` property in your Apemanfile.
2. Set "apeman-ui-contrib-angular-storaging" to `$invoke` property.

```javascript
/**
 * This is example Apemanfile to use "apeman-ui-contrib-angular-storaging".
 */

"use strict";

module.exports = {
    $pkg: {/*...*/},
    $ui: {
        // Define your own ui.
        "my-ui-01": {
            // UI generation config for each path.
            "assets/public": {
                "$invoke": "apeman-ui-contrib-angular-storaging",
                "$args": [
                ],
                "$options": {
                }
            }
        }
    }
};
```

Then, generate ui assets via [apeman app ui][apeman_ui_doc_url].

```bash
# Generate ui from CLI.
$ apeman ui "my-ui-01"
```

Options
-------

Values which can be passed to `$options` property.

| Name | Type | Description |
| ---- | ---- | ----------- |


Documents
-------



License
-------

This software is released under the [MIT License][my_license_url].


Links
-------

+ [apeman][apeman_url]


[npm_url]: https://www.npmjs.com/
[apeman_url]: https://github.com/apeman-repo/apeman
[apeman_ui_doc_url]: https://github.com/apeman-repo/apeman#ui
[my_repo_url]: https://github.com/apeman-repo/apeman-ui-contrib-angular-storaging
[my_travis_url]: http://travis-ci.org/apeman-repo/apeman-ui-contrib-angular-storaging
[my_travis_badge_url]: http://img.shields.io/travis/apeman-repo/apeman-ui-contrib-angular-storaging.svg?style=flat
[my_license_url]: https://github.com/apeman-repo/apeman-ui-contrib-angular-storaging/blob/master/LICENSE
[my_codeclimate_url]: http://codeclimate.com/github/apeman-repo/apeman-ui-contrib-angular-storaging
[my_codeclimate_badge_url]: http://img.shields.io/codeclimate/github/apeman-repo/apeman-ui-contrib-angular-storaging.svg?style=flat
[my_coveralls_url]: https://coveralls.io/github/apeman-repo/apeman-ui-contrib-angular-storaging
[my_coveralls_badge_url]: http://img.shields.io/coveralls/apeman-repo/apeman-ui-contrib-angular-storaging.svg?style=flat
[my_npm_url]: http://www.npmjs.org/package/apeman-ui-contrib-angular-storaging
[my_npm_budge_url]: http://img.shields.io/npm/v/apeman-ui-contrib-angular-storaging.svg?style=flat
[coz_url]: http://okunishinishi.github.io/node-coz/apiguide


