#!/bin/bash

###
# Update apeman-ui-contrib-angular-storaging.
###

HERE=$(cd "$(dirname $0)" && pwd)
BASE_DIR=$(cd "${HERE}/.." && pwd)

cd ${BASE_DIR}

# Re-install dependencies.
npm uninstall apeman-commons-compiling argx async objnest  --save
npm install apeman-commons-compiling argx async objnest  --save

# Re-install dev dependencies.
npm uninstall apeman-dev-commons-coveraging apeman-dev-commons-documenting apeman-dev-commons-releasing apeman-dev-commons-reporting apeman-dev-commons-testing apeman-tmpl-contrib-official handybower mkdirp  --save-dev
npm install apeman-dev-commons-coveraging apeman-dev-commons-documenting apeman-dev-commons-releasing apeman-dev-commons-reporting apeman-dev-commons-testing apeman-tmpl-contrib-official handybower mkdirp  --save-dev
